/* GENERAL */

@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Manrope:wght@200..800&display=swap');

* {
    margin: 0; 
    padding: 0; 
}

body {
    font-family: "Inter", Arial, sans-serif; 
    font-optical-sizing: auto;
    font-weight: 300; 
    font-style: normal;
    background-color: #fffbf9;
    margin-left: 11.25rem;
    margin-right: 11.25rem;
}



p {
    font-family: "Inter", Arial, sans-serif;
    font-size: 1rem; 
    font-weight: 400; 
    color: #232324;
}

a, .btn, .btn-small {
    transition: all 300ms ease; 
}

h1 {
    font-family: "Manrope", Arial, sans-serif;
    font-weight: 700; 
    letter-spacing: -0.011em;
    font-size: 3.5rem; 
}

h2 {
    font-family: "Manrope", Arial, sans-serif; 
    font-weight: 700; 
    letter-spacing: -0.011em; 
    font-size: 2rem;
}

h3 {
    font-family: "Manrope", Arial, sans-serif;
    font-weight: 600px;
    font-size: 2.5rem;
    letter-spacing: 1rem;
}

html {
    scroll-behavior: smooth; 
    /* When navigating, will be smooth when going from different site pages*/
}

/* DESKTOP NAV */ 

nav, .nav-links {
    display: flex; 
}

nav {
    justify-content: space-between;
    align-items: center; 
    height: 10vh; 
    padding: 2.25rem 3rem; 
    margin-bottom: 12rem;
}

.nav-links {
    gap: 4rem; 
    list-style: none; 
    font-size: 1.25rem; 
}

a {
    color: #232324;
    text-decoration: none;
}

a:hover {
    color: #ABAEB0;
    text-decoration: underline;
    text-decoration-thickness: 0.125rem;
}

a .nav-link {
    color: #232324;
    text-decoration: none; 
}



.logo {
    font-family: "Manrope", Arial, sans-serif; 
    font-optical-sizing: auto;
    font-weight: 600; 
    font-size: 1.5rem; 
    cursor: default; 
}

/* SECTIONS */ 
section {
    padding-top: 4vh;
    height: 55vh;
    margin: 0 7.5rem;
    box-sizing: border-box;
    min-height: fit-content;
    margin-bottom: 5rem;
}

.section-bg {
    display: flex;
    margin: 0 -7.5rem;
    margin-top: 5.5rem;
    margin-bottom: 18.5rem;
}

.bg-1 {
    background-color: #ABAEB0;
}

.bg-2 {
    border: #71777C 0.5rem solid;
    border-left-color: #fffbf9;
}

.bg-3 {
    background-color: #dce2e6;
}

/* HOMEPAGE HERO SECTION */ 

.banner {
    height: 75vh;
}

.section__page-title {
    text-align: center;
}

.section__page-subtitle {
    text-align:center;
    margin-top: -0.75rem;
}

.section__page-description {
    text-align: center; 
    font-size: 1.5rem;
    font-weight: 200;
    margin: 3rem 14rem;
}    

/* BUTTONS */ 

.btn-container {
    display: flex;
    justify-content: center; 
    gap: 1rem;
}

.btn-header-containter {
    display: flex;
    justify-content: center; 
}

.btn-small {
    font-family: "Inter", Arial, sans-serif;
    font-weight: 400;
    font-size: 1rem; 
    letter-spacing: -0.011em;
    line-height: 1.5em;
    padding: 0.25rem;
    width: 8rem;
    border-radius: 0.75rem;
    background-color: transparent;
}

.btn {
    font-family: "Inter", Arial, sans-serif;
    font-weight: 500;
    font-size: 1rem; 
    letter-spacing: -0.011em;
    line-height: 1.5em;
    padding: 0.5rem 0rem;
    width: 8rem;
    border-radius: 0.75rem;
    background-color: transparent;
    
}

.btn-color-1 {
    color: #ABAEB0;
    border: #ABAEB0 0.125rem solid;
}

.btn-color-1:hover {
    background-color: #ABAEB0;
    color: #fffbf9;
    border: #fffbf9 0.125rem solid;
    font-weight: 500;
}

.btn-color-2 {
    color: #fffbf9;
    border: #fffbf9 0.2rem solid; 
}

.btn-color-2:hover {
    background-color: #fffbf9;
    border: #ABAEB0 0.2rem solid;
    color: #ABAEB0;
    font-weight: 500;
}

.btn-color-3 {
    color: #71777c; 
    border: #71777c 0.2rem solid;
}

.btn-color-3:hover {
    background-color: #71777c;
    border: #dce2e6 0.2rem solid;
    color: #dce2e6;
    font-weight: 500;
}
/* RECENT WORKS */

#recent-works {
    margin-bottom: 18.5rem;
}

.header-decoration-container {
    position: left; 
    display: block;
    margin-bottom: 2.5rem;
}

.header-decoration {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    gap: 3em;
}

#span__recent-works {
    margin-left: -7.5rem;
    width: 25%; 
    height: 4px; 
    background-color: #1e1e1e;
    cursor: pointer;
    display: flex;
}

#span__about-1 {
    margin-left: -7.5rem;
    width: 25%; 
    height: 4px; 
    background-color: #1e1e1e;
    cursor: pointer;
    display: flex;
}

.section__header-title {
    display: flex;
    margin-top: -1.25rem;
    cursor: default;
    user-select: none;
}

.c1 {
    color: #71777C;
}

/* WORKS */

.sm-poster {
    width: 25.25rem;
    height: auto;
}

.works__content {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    max-width: 25.25rem;
}

.recent-works-date {
    display: flex;
    justify-content: space-between;
    font-weight: 600;
    font-size: 1.5rem;
}

.date {
    font-weight: 600;
    font-size: 1rem;
}

.work-info {
    display: flex;
    flex-direction: column;
}

.work-title {
    font-size: 2rem;
    margin-bottom: 1rem;
}

.tags {
    display: flex; 
    flex-direction: row;
    justify-content: flex-start;
    gap: 2rem;
    overflow-wrap: break-word;
}

.tag {
    font-family: "Inter", Arial, sans-serif; 
    font-size: 1rem; 
    font-weight: 300; 
    color: #636363;
}

.recent-works-btn-container {
    display: flex;
    position: relative;
    justify-content: left; 
    gap: 1rem;
    padding-top: 3rem;
}

/* SKILLS */

#skills {
    margin-bottom: 18.5rem;
}

.section-bg-skills {
    display: flex;
    justify-content: left;
    margin-left: -7.5rem;
    margin-top: -8.5rem;
    padding-top: 8rem;
    margin-right: 10rem;
}

.header-decoration-right {
    display: flex;
    justify-content: right;
    margin-bottom: 2.5rem;
    margin-right: -7.5rem;
    gap: 3rem;
}

#span__skills {
    width: 40%; 
    height: 4px; 
    background-color: #232324;
    cursor: pointer;
    display: flex;
}


.skills-content-container {
    margin: 2.5rem 7.5rem 2.5rem 7.5rem;
    display: flex;
    justify-content: flex-start;
    gap: 0rem;
    padding-bottom: 1.5rem;
}

.article-container {
    display: flex; 
    flex-direction: column;
    justify-content: flex-start;
    gap: 2rem;
    margin-right: 8rem;
}

article {
    display: flex;
}

.skills-icon {
    width: 4.75rem;
    height: auto;
}

.skill {
    margin-left: 3rem;
    padding-top: 1.5rem;
}

/* ABOUT ME HOME PAGE */

#about-me-1 {
    height: 85vh;
}

.header-decoration-container-about-1 {
    position: left; 
    display: block;
    margin-bottom: 2.5rem;
    margin-top: 16.5rem;
}

.section-bg-about-1 {
    display: flex; 
    justify-content: right;
    margin-right: -7.5rem; 
    margin-left: 22rem;
    margin-top: -10.5rem;
    padding-bottom: 2rem;
}


/*------------------------------------------------------------------------------------------------------------------*/
/* WORKS.HTML */

.span__works {
    margin-left: -7.5rem;
    width: 25%; 
    height: 4px; 
    background-color: #1e1e1e;
    cursor: pointer;
    display: flex;
}

.works {
    display: flex;
    justify-content: space-between;
    /* gap: 3.75rem; */
}

.centered-title {
    display: flex;
    justify-content: center;
    height: 55vh;
    margin: 7.5rem auto;
    padding-top: 5.5rem;
}

.about-1-contents {
    display: flex;
    padding-top: 10rem;
    gap: 2rem;
}

.profile-img-container {
    margin-left: 3.5rem;
}

.profile-img {
    width: 28rem;
    height: auto;
}

.about-1__text {
    margin-left: 0;
    margin-right: 11rem;
}

#introduction {
    display: inline-block;
    font-size: 1.5rem;
    margin-bottom: 10rem;
}

#about-desc {
    margin-top: 2rem;
}

#abt-btn {
    margin-top: 2rem;
}

.prj-btn-container {
    display: flex;
    justify-content: left;
    margin-top: 2.5rem;
}

/*------------------------------------------------------------------------------------------------------------------*/
/* ABOUT-ME.HTML */

.section-bg-full {
    margin: 0 -7.5rem;
}

.bg-full-content-container {
    margin: 0 7.5rem;
    padding-top: 5rem;
    padding-bottom: 5rem;
    margin-top: 5.5rem;
}

.introduction-content-container {
    display: flex;
    justify-content: space-between;
    gap: 1rem;
}

.introduction__left {
    display: flex;
    flex-direction: column;
}

.profile-pic {
    width: 27.5rem;
    height: auto;
}   

.article-container-intro {
    display: flex; 
    flex-direction: column;
    justify-content: center;
    gap: 3rem;
}

.intro-icon {
    width: 4.375rem;
    height: auto;
}

.intro-text {
    margin-left: 3rem;
    padding-top: .75rem;
    font-weight: 300;
}

.about-content-container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding-top: 10rem;
    padding-bottom: 10rem;

    /* about-img-2 | gap previous 5rem */
}

.about-img-contents {
    display:flex; 
    flex-direction: row;
    gap: 4rem;
}

.about-img {
    width: 14rem;
    height: auto;
    margin-bottom: 1.1rem;
}

.about-text {
    font-weight: 300;

}

.about-img-2 {
    width: auto;
    height: 35rem;
}

.about__content {
    margin-left: 4rem;
}

.abt-me {
    margin-bottom: 2.5rem;
}



/*------------------------------------------------------------------------------------------------------------------*/
/* SAYAMA MATCHA */

.research {
    margin-top: 18rem;
}

.works__page-description {
    text-align: center; 
    font-size: 1.5rem;
    font-weight: 200;
    margin-top: 3rem;
    margin-right: 7.5rem;
    margin-left: 7.5rem;
}   

.sm-poster-content {
    margin: 2.5rem 7.5rem;
}   

.sm-final-posters-container {
    display: flex;
    flex-direction: row;
    justify-content: center;
    padding-top: 2.5rem;
    padding-bottom: 2.5rem;
    gap: 4rem;
}

.sm-final-poster {
    width: 30rem;
    height: auto
}

#design-process {
    height: 30vh;
}

.section-bg-partial-l {
    margin: 5.5rem 25% 2.5rem -7.5rem;
}

.partial-bg-container-l {
    padding: 8rem 14rem;
    text-align: left;
}

.section-bg-partial-r {
    margin: 5.5rem -7.5rem 2.5rem 25%;
}

.partial-bg-container-r {
    padding: 8rem 14rem;
    text-align: right;
}


#prev-posters-container {
    display: flex;
    margin-left: 5rem;
    
}

#prev-poster-front-frame {
    background-color:#fffbf9;
    margin-top: -16.625rem;
}

.prev-poster {
    width: 35.375rem;
    height: auto;
}

#prev-poster-front {
    width: 35.375rem;
    height: auto;
    padding: 1.75rem 0 0 1.75rem;
}

.section__title {
    text-align: center;
}

.c2 {
    color: #594743;   
}

.c2-1 {
    color: #ABAEB0;
}

.section__contents {
    margin-top: 5rem;
}

.research-container {
    margin-top: 3rem;
}

.research-list {
    margin-top: 1.5rem;
    margin-left: 1.75rem;
}

.research-item {
    font-size: 1.5rem;
    font-weight: 300;
    line-height: 1.4em;
}

/* VISION BOARD*/

.vision-board {
    margin-top: 18rem;
}

.vb-image {
    width: 100%;
    height: auto;
}

/* Sketches */

#sm-sketches-content {
    display: flex;
    flex-direction: column;
    margin-top: -20rem;
}

.sm-sketch-container {
    align-items: left;
    display: flex;
    flex-direction: row;
}

.sm-sketch-frame {
    padding: 1.75rem 1.75rem 1.75rem 0;
    background-color: #fffbf9;
}

.sm-sketch {
    width: 49rem; 
    height: auto;
}

.sketch-1 {
    margin-top: 16rem;
}

.sketch-text-container {
    margin-top: 12rem;
}
.sketch-name {
    font-size: 1.5rem;
}

.sketch-list {
    margin-top: 1rem;
}

.sketch-list-item {
    margin-left: 1rem;
    line-height: 1.4em;
}

/* PRELIM DESIGNS */

.section__description {
    text-align: left;
    margin: 3rem 7.5rem;
}


.prelim-posters-container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-bottom: 10rem;
    flex-wrap: wrap;
} 

.prelim-posters-section {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin-top: 4rem;
}

.prelim-posters {
    display: flex;
    flex-direction: row;
    gap: 1rem;
}

.prelim-poster {
    width: 17rem;
    height: auto;
    margin-bottom: 1rem;
}

.prelim-poster-desc {
    width: 50%;
    height: auto;
    margin: auto 0;
    font-size: 2rem;
}

.prelim-poster-1 {
    width: 35rem;
    height: auto;
    margin-bottom: 1rem;
}

.description-container {
    display: flex;
}

/* REVISIONS */
.revisions-content-container {
    display: flex;
    flex-direction: column;
}

.revisions-container {
    display: flex;
    gap: 4rem;
    margin-bottom: 4rem;
}

.revision-item {
    display: flex;
    flex-direction: row;
}

.revision-img {
    width: 24rem;
    height: auto;
}

.revision__text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-top: -3rem;
}   

.prj__title {
    font-size: 2rem;
    margin-bottom: 1.5rem;
}  

.prj__description {
    font-size: 1.5rem;
}

/*------------------------------------------------------------------------------------------------------------------*/
/* FOOTER */

footer {
    margin: 0;
    margin-top: 8rem;
    height: 85vh;
}

.footer-title {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 5rem;
}

.footer__contents {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.contact-links {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 4rem;
    border-radius: 1rem;
    outline: #ABAEB0 0.125rem solid;
    padding: 1rem 2rem;
    margin-top: 8rem;
}

.icon {
    width: 4rem;
    height: auto;
}

.li-icon {
    width: 3rem;
    height: auto;
    margin-top: -0.75rem;
}

.icon-text {
    font-size: 1.5rem;
    margin-left: 0.75rem;
    margin-top: 1.2rem;
}

.li-icon-text {
    font-size: 1.5rem;
    margin-left: 0.75rem;
    margin-top: 0.5rem;
}

.footer-nav {
    list-style: none; 
    display: flex;
    gap: 5rem;
    margin-top: 8rem;
}

.footer-nav-link {
    display: flex;
    font-size: 2rem;
    font-weight: 300;
}

a .footer-nav-link:hover {
    text-decoration: underline;
}

.copyright {
    margin-top: 5.5rem;
    color: #ABAEB0;
    font-size: 1rem;
    cursor: default;
    user-select: none;
}